Libosmium: osmium::io::Bzip2Compressor Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::io::Bzip2Compressor Class Referencefinal

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::io::Bzip2Compressor:
[legend]
Collaboration diagram for osmium::io::Bzip2Compressor:
[legend]

## Public Member Functions
| Bzip2Compressor (const int fd, const fsync sync)
| Bzip2Compressor (const Bzip2Compressor &)=delete
Bzip2Compressor & | operator= (const Bzip2Compressor &)=delete
| Bzip2Compressor (Bzip2Compressor &&)=delete
Bzip2Compressor & | operator= (Bzip2Compressor &&)=delete
| ~Bzip2Compressor () noexcept override
void | write (const std::string &data) override
void | close () override
std::size_t | file_size () const override
Public Member Functions inherited from osmium::io::Compressor
| Compressor (const fsync sync) noexcept
| Compressor (const Compressor &)=default
Compressor & | operator= (const Compressor &)=default
| Compressor (Compressor &&) noexcept=default
Compressor & | operator= (Compressor &&) noexcept=default
virtual | ~Compressor () noexcept=default

## Private Attributes
std::size_t | m_file_size = 0
detail::file_wrapper | m_file
BZFILE * | m_bzfile = nullptr

## Additional Inherited Members
Protected Member Functions inherited from osmium::io::Compressor
bool | do_fsync () const noexcept

## Constructor & Destructor Documentation

## ◆ Bzip2Compressor() [1/3]

osmium::io::Bzip2Compressor::Bzip2Compressor | ( | const int | fd,
|  | const fsync | sync )
| inlineexplicit

## ◆ Bzip2Compressor() [2/3]

osmium::io::Bzip2Compressor::Bzip2Compressor | ( | const Bzip2Compressor & |  | ) |
| delete

## ◆ Bzip2Compressor() [3/3]

osmium::io::Bzip2Compressor::Bzip2Compressor | ( | Bzip2Compressor && |  | ) |
| delete

## ◆ ~Bzip2Compressor()

osmium::io::Bzip2Compressor::~Bzip2Compressor | ( |  | ) |
| inlineoverridenoexcept

## Member Function Documentation

## ◆ close()

void osmium::io::Bzip2Compressor::close | ( |  | ) |
| inlineoverridevirtual

Implements osmium::io::Compressor.

## ◆ file_size()

std::size_t osmium::io::Bzip2Compressor::file_size | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from osmium::io::Compressor.

## ◆ operator=() [1/2]

Bzip2Compressor & osmium::io::Bzip2Compressor::operator= | ( | Bzip2Compressor && |  | ) |
| delete

## ◆ operator=() [2/2]

Bzip2Compressor & osmium::io::Bzip2Compressor::operator= | ( | const Bzip2Compressor & |  | ) |
| delete

## ◆ write()

void osmium::io::Bzip2Compressor::write | ( | const std::string & | data | ) |
| inlineoverridevirtual

Implements osmium::io::Compressor.

## Member Data Documentation

## ◆ m_bzfile

BZFILE* osmium::io::Bzip2Compressor::m_bzfile = nullptr
| private

## ◆ m_file

detail::file_wrapper osmium::io::Bzip2Compressor::m_file
| private

## ◆ m_file_size

std::size_t osmium::io::Bzip2Compressor::m_file_size = 0
| private

The documentation for this class was generated from the following file:

- include/osmium/io/bzip2_compression.hpp